# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlDDS.cpp File Reference

`#include "vl/vlDDS.hpp"`
`#include "vl/LoadWriterManager.hpp"`
`#include "vl/VisualizationLibrary.hpp"`
`#include "vl/FileSystem.hpp"`
`#include "vl/VirtualFile.hpp"`
`#include "vl/Image.hpp"`
`#include "Image_Tools.cpp"`

## Defines

#define | IS_BGRA8(pf)
#define | IS_BGRX8(pf)
#define | IS_BGR8(pf)
#define | IS_GRAY8(pf)
#define | IS_GRAY8_ALPHA8(pf)
#define | IS_PALETTE8(pf) isFOURCC("P8 ", pf.dwFourCC )
#define | IS_DXT1(pf) isFOURCC("DXT1", pf.dwFourCC)
#define | IS_DXT3(pf) isFOURCC("DXT3", pf.dwFourCC)
#define | IS_DXT5(pf) isFOURCC("DXT5", pf.dwFourCC)

## Enumerations

enum |

## Define Documentation

#define IS_BGRA8 | ( | pf |  | ) |

Value:

    ((pf.dwFlags & DDPF_RGB) && \
         (pf.dwFlags & DDPF_ALPHAPIXELS) && \
         (pf.dwRGBBitCount == 32))

#define IS_BGRX8 | ( | pf |  | ) |

Value:

    ((pf.dwFlags & DDPF_RGB) && \
         !(pf.dwFlags & DDPF_ALPHAPIXELS) && \
         (pf.dwRGBBitCount == 32))

#define IS_BGR8 | ( | pf |  | ) |

Value:

    ((pf.dwFlags & DDPF_RGB) && \
        !(pf.dwFlags & DDPF_ALPHAPIXELS) && \
         (pf.dwRGBBitCount == 24))

#define IS_GRAY8 | ( | pf |  | ) |

Value:

    (( (pf.dwFlags & DDPF_LUMINANCE) || (pf.dwFlags & DDPF_ALPHA) ) && \
        (pf.dwRGBBitCount == 8) && \
        !(pf.dwFlags & DDPF_ALPHAPIXELS) || \
         isFOURCC("G8  ", pf.dwFourCC ) )

#define IS_GRAY8_ALPHA8 | ( | pf |  | ) |

Value:

    ((pf.dwFlags & DDPF_LUMINANCE) && \
        (pf.dwRGBBitCount == 16) && \
        (pf.dwFlags & DDPF_ALPHAPIXELS) || \
         isFOURCC("AG8 ", pf.dwFourCC ) )

#define IS_PALETTE8 | ( | pf |  | ) | isFOURCC("P8 ", pf.dwFourCC )

#define IS_DXT1 | ( | pf |  | ) | isFOURCC("DXT1", pf.dwFourCC)

#define IS_DXT3 | ( | pf |  | ) | isFOURCC("DXT3", pf.dwFourCC)

#define IS_DXT5 | ( | pf |  | ) | isFOURCC("DXT5", pf.dwFourCC)

## Enumeration Type Documentation

anonymous enum

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:30 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.